Function
open
Opens a file.
open(string, fileName[, openMode]))
open(file, fileName[, openMode])
Include Headers
seqan/file.h
Parameters

string | An external string. Types: External String, MMap String
file | A File object. Types: File
fileName | C-style character string containing the file name.
openMode | The combination of flags defining how the file should be opened. Default: OPEN_RDWR | OPEN_CREATE | OPEN_APPEND Remarks: To open a file read-only, write-only or to read and write use OPEN_RDONLY, OPEN_WRONLY, or OPEN_RDWR. To create or overwrite a file add OPEN_CREATE. To append a file if existing add OPEN_APPEND. To circumvent problems, files are always opened in binary mode.

Return Values
A bool which is true on success.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48